<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE web-app PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN" "http://java.sun.com/dtd/web-app_2_3.dtd">

<web-app>
  <context-param>
    <param-name>archivoConfiguracion</param-name>
    <param-value>GestorArranqueConfiguracion_w83b.xml</param-value>
    <description>Archivo de configuracion de componentes de aplicacion</description>
  </context-param>
  <context-param>
    <param-name>idIdiomaCompartido</param-name>
    <param-value>w83bCgaIdioma</param-value>
    <description>Nombre del atributo de Contexto de Aplicacion donde se deposita el idioma compartido</description>
  </context-param>
  <context-param>
    <param-name>aplicacion</param-name>
    <param-value>w83b</param-value>
    <description>Nombre de la aplicacion web</description>
  </context-param>
  <context-param>
    <param-name>idContextoAplicacionGlobal</param-name>
    <param-value>w83b</param-value>
    <description>Id del contexto global de aplicacion y string con el que se va a obtener el nombre de su fichero de cofiguracion</description>
  </context-param>

  
  <listener>
    <listener-class>es.ejie.frmk.control.arranque.Q70GestorArranqueConfiguracion</listener-class>
  </listener>
  
  <!--  Mensajes tablas-->
  <servlet>
  	<servlet-name>i18NServlet</servlet-name>
        <display-name>riaI18NServlet</display-name>
        <servlet-class>com.ejie.ria.servlet.RiaI18NServlet</servlet-class>
  </servlet>
  
  <!-- Servlet encargado de combos -->
<servlet>
	<servlet-name>combosRIAServlet</servlet-name>
	<display-name>riaCombosServlet</display-name>
	<servlet-class>com.ejie.ria.servlet.RiaCombosServlet</servlet-class>
</servlet>
 
  
  <servlet>
    <servlet-name>joinedListsServlet</servlet-name>
    <display-name>w83bJoinedListsServlet</display-name>
    <servlet-class>es.ejie.frmk.listeners.listasenlazadas.Q70ListasEnlazadasListener</servlet-class>
  </servlet>
  
  <!-- filter para asignar el encoding y hacer otras cosas como definir mensajes -->
  <filter>
  <filter-name>EncodingFilter</filter-name>
    <filter-class>
      w83b.ejie.general.filters.W83bEnterEncodingFilter
    </filter-class>
    <init-param>
      <param-name>encoding</param-name>
      <param-value>ISO-8859-1</param-value>
    </init-param>
</filter>

<filter-mapping>
  <filter-name>EncodingFilter</filter-name>
  <url-pattern>*</url-pattern>
</filter-mapping>
  <!-- filter para checkar la seguridad y el usuario -->
  <filter>
  <filter-name>CheckSecurityFilter</filter-name>
    <filter-class>
      w83b.ejie.general.filters.W83bCheckSecurityFilter
    </filter-class>
    <init-param>
      <param-name>ENCENDIDO</param-name>
      <param-value>on</param-value>
    </init-param>
</filter>

<filter-mapping>
  <filter-name>CheckSecurityFilter</filter-name>
  <url-pattern>*.do</url-pattern>
</filter-mapping>

  
  <!-- Action Servlet Configuration -->
  <servlet>
    <servlet-name>GestorDeCanalHTTPBrowserPC</servlet-name>
    <display-name>GestorDeCanalHTTPBrowserPC</display-name>
    <servlet-class>es.ejie.frmk.control.canal.Q70GestorDeCanalHTTPBrowserPC</servlet-class>
    
    <init-param>
      <param-name>grupoAplicacion</param-name>
      <param-value>FrameworkQ70</param-value>
    </init-param>
   
    <init-param>
      <param-name>entidad</param-name>
      <param-value>ejie</param-value>
    </init-param>
    
    <init-param>
      <param-name>config</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/struts-config.xml</param-value>
    </init-param>
    
    <init-param>
      <param-name>config/comunJSP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/struts-comun.xml</param-value>
    </init-param>   
    
    <init-param>
      <param-name>config/mantenimientosOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/mantenimientosOP/struts-mantenimientos.xml</param-value>
    </init-param>   
    <init-param>
      <param-name>config/agrupacionesOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/mantenimientosOP/struts-agrupaciones.xml</param-value>
    </init-param>   
    <init-param>
      <param-name>config/conveniosOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/mantenimientosOP/struts-convenios.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/tiposVocesOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/mantenimientosOP/struts-tipoVoces.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/vocesOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/mantenimientosOP/struts-voces.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/delegadosOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/mantenimientosOP/struts-delegados.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/delegacionesOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/mantenimientosOP/struts-delegaciones.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/tramitesOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/mantenimientosOP/struts-tramites.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/plantillasOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/mantenimientosOP/struts-plantillas.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/empresasOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/mantenimientosOP/struts-empresas.xml</param-value>
    </init-param>   
	<init-param>
      <param-name>config/sindicatosOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/mantenimientosOP/struts-sindicatos.xml</param-value>
    </init-param>
   <init-param>
      <param-name>config/motivosBajaDelegadoOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/mantenimientosOP/struts-motBajaDelegado.xml</param-value>
    </init-param>
	<init-param>
      <param-name>config/actasOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/actasOP/struts-actas.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/impugnacionesOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/impugnacionesOP/struts-impugnaciones.xml</param-value>
    </init-param>
     <init-param>
      <param-name>config/citacionesOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/citacionesOP/struts-citaciones.xml</param-value>
    </init-param>
	<init-param>
      <param-name>config/centroTrabajoOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/mantenimientosOP/struts-centroTrabajo.xml</param-value>
    </init-param>
   	<init-param>
      <param-name>config/preavisosOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/preavisosOP/struts-preavisos.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/respAreaOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/mantenimientosOP/struts-respArea.xml</param-value>
    </init-param>  
    <init-param>
      <param-name>config/motivosBajaActaOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/mantenimientosOP/struts-motBajaActa.xml</param-value>
    </init-param> 
    <init-param>
      <param-name>config/usuariosOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/mantenimientosOP/struts-usuarios.xml</param-value>
    </init-param>   
    <init-param>
      <param-name>config/informesOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/informesOP/struts-informes.xml</param-value>
    </init-param>
    <init-param>
    <param-name>config/informesActasOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/informesOP/struts-informesActas.xml</param-value>
    </init-param>
    <init-param>
    	<param-name>config/informesImpugnacionesOP</param-name>
      	<param-value>/WEB-INF/OperacionesPresentacion/informesOP/struts-informesImpugnaciones.xml</param-value>
    </init-param>
    <init-param>
    <param-name>config/informesDelegadosOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/informesOP/struts-informesDelegados.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/registroDefinitivoOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/registroDefinitivoOP/struts-registroDefinitivo.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/datosMinisterioOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/datosMinisterioOP/struts-datosMinisterio.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/arbitrosOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/mantenimientosOP/struts-arbitros.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/resultadosOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/resultadosOP/struts-resultados.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/certificacionesOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/informesOP/struts-certificaciones.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/historicosOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/historicosOP/struts-historicos.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/incidenciasOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/incidenciasOP/struts-incidencias.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/cierreOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/cierreMensualOP/struts-cierreMensual.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/migracionOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/migracionOP/struts-migracion.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/comunicActasOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/comunicacionesOP/struts-comunicActas.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/comunicImpugLaudosOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/comunicacionesOP/struts-comunicImpugLaudos.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/comunicIncidenciasOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/comunicacionesOP/struts-comunicIncidencias.xml</param-value>
    </init-param> 
    <init-param>
      <param-name>config/comunicPreavisosOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/comunicacionesOP/struts-comunicPreavisos.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/bandejaEntradaOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/bandejaEntradaOP/struts-bandejaEntrada.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/lotesPreavisosOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/lotesPreavisosOP/struts-lotesPreavisos.xml</param-value>
    </init-param>
    <init-param>
      <param-name>debug</param-name>
      <param-value>3</param-value>
    </init-param>
    
    <init-param>
      <param-name>detail</param-name>
      <param-value>3</param-value>
    </init-param>
    
    <load-on-startup>0</load-on-startup>
    
  </servlet>
  <!-- Gestor de Validaciones Remotas -->
  <servlet>
    <servlet-name>remoteValidatorServlet</servlet-name>
    <display-name>remoteValidatorServlet</display-name>
    <servlet-class>es.ejie.frmk.listeners.validadorremoto.Q70ValidadorRemotoListener</servlet-class>
  </servlet>
  <!-- Gestor de Listas Enlazadas -->
  
  <!-- Servlet encargado de combos -->
<servlet>
	<servlet-name>combosServlet</servlet-name>
	<display-name>riaCombosServlet</display-name>
	<servlet-class>com.ejie.ria.servlet.RiaCombosServlet</servlet-class>
</servlet>

  
  
  
  <!-- Servlet Mapping -->
  <servlet-mapping>
    <servlet-name>GestorDeCanalHTTPBrowserPC</servlet-name>
    <url-pattern>*.do</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>remoteValidatorServlet</servlet-name>
    <url-pattern>/w83bremoteValidatorServlet</url-pattern>
  </servlet-mapping>
<!-- Mapping Servlet encargado de combos -->
<servlet-mapping>
	<servlet-name>combosServlet</servlet-name>
	<url-pattern>/w83bcombosServlet</url-pattern>
</servlet-mapping> 


<!-- Mapping Servlet encargado de combos -->
<servlet-mapping>
	<servlet-name>combosRIAServlet</servlet-name>
	<url-pattern>/w83briacombosServlet</url-pattern>
</servlet-mapping>
    
     <servlet-mapping>
        <servlet-name>i18NServlet</servlet-name>
        <url-pattern>/riaI18NServlet</url-pattern>
 	</servlet-mapping>
 	
 	<servlet-mapping>
	    <servlet-name>joinedListsServlet</servlet-name>
	    <url-pattern>/w83bjoinedListsServlet</url-pattern>
	</servlet-mapping>
  
  <!-- Tiempo de la sesion en minutos -->
  <session-config>
    <session-timeout>30</session-timeout>
  </session-config>

  
  <!-- Struts Tag Library Descriptors -->
  <taglib>
    <taglib-uri>/WEB-INF/tld/struts-bean.tld</taglib-uri>
    <taglib-location>/WEB-INF/tld/struts-bean.tld</taglib-location>
  </taglib>
  <taglib>
    <taglib-uri>/WEB-INF/tld/struts-html.tld</taglib-uri>
    <taglib-location>/WEB-INF/tld/struts-html.tld</taglib-location>
  </taglib>
  <taglib>
    <taglib-uri>/WEB-INF/tld/struts-logic.tld</taglib-uri>
    <taglib-location>/WEB-INF/tld/struts-logic.tld</taglib-location>
  </taglib>
  <taglib>
    <taglib-uri>/WEB-INF/tld/ejieFramework-html.tld</taglib-uri>
    <taglib-location>/WEB-INF/tld/ejieFramework-html.tld</taglib-location>
  </taglib>
  <taglib>
    <taglib-uri>/WEB-INF/tld/struts-tiles.tld</taglib-uri>
    <taglib-location>/WEB-INF/tld/struts-tiles.tld</taglib-location>
  </taglib>
</web-app>